.input-verification-code-container {
  --ReactInputVerificationCode-itemWidth: 3rem;
  --ReactInputVerificationCode-itemHeight: 3.5rem;
  --ReactInputVerificationCode-itemSpacing: 0.7rem;
}

.customer_cards.main-sidebar {
  overflow-y: hidden;
}

.main-footer {
  padding: 10px !important;
}

.full-height {
  height: 100% !important;
}

.overflow-y-scroll {
  overflow-y: scroll;
}

.grecaptcha-badge {
  visibility: hidden;
}

/*******************************************************
 * Chat section
 ******************************************************/

.direct-chat-msg .direct-chat-text {
  background-color: #c0c9dc;
  border: 1px solid #c0c9dc;
  max-width: 75%;
  min-width: 100px;
  margin: 5px 0 0 10px;
  float: left;
  padding: 3px 10px 23px 5px;
}

.direct-chat-msg .direct-chat-date {
  float: none;
}

.direct-chat-text .direct-chat-bottom-time {
  float: right;
  font-size: 12px;
  position: absolute;
  border: 0px solid red;
  padding: 0px 16px 0px 0px;
}

.direct-chat-text .reactions {
  position: absolute;
  padding: 13px 0px;
  text-shadow: 0px 0px 3px rgba(7, 213, 30, 0.8);
}

.direct-chat-text .direct-chat-bottom-time > img {
  height: 10px;
  display: inline-block;
  padding: 0px 0px 0px 5px;
}

.direct-chat-messages .direct-chat-msg .direct-chat-name {
  margin: 0px 10px 0px 0px;
}

.direct-chat-messages .right .direct-chat-name {
  margin: 0px 0px 0px 10px;
}

.direct-chat-messages .right .direct-chat-text {
  background-color: #217333;
  border-color: #217333;
  float: right;
  margin-left: 0;
  margin-right: 10px;
}

.direct-chat-messages .right .direct-chat-infos {
  text-align: right;
}

.direct-chat-msg {
}

.divide-margin > * {
  margin: 0px 0px 0px 8px;
}

.MuiTablePagination-selectLabel,
.MuiTablePagination-displayedRows {
  margin: 0px 0px 3px 0px;
}

.fit-height {
  /* If you decrease 125px then window scroll problem occurs*/
  height: calc(100vh - 133px);
}

.fit-height-no-breadcrumb {
  /* If you decrease 125px then window scroll problem occurs*/
  height: calc(100vh - 60px);
}

.content-wrapper > .content {
  padding: 0.5rem 0.5rem;
}

[class*="sidebar-dark-"] {
  background-color: #2f3133;
}

.layout-navbar-fixed
  .wrapper
  .sidebar-dark-success
  .brand-link:not([class*="navbar"]) {
  background-color: #2f3133;
}

.sidebar {
  padding-bottom: 0;
  padding-left: 0rem;
  padding-right: 0rem;
  padding-top: 0;
}

.nav-sidebar .nav-item > .nav-link {
  margin-bottom: 0rem;
}

.table-hover tbody tr:hover td {
  background-color: #f5f5f5;
}

.direct-chat-text > pre {
  font-family:
    "Source Sans Pro",
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    "Helvetica Neue",
    Arial,
    sans-serif,
    "Apple Color Emoji",
    "Segoe UI Emoji",
    "Segoe UI Symbol";
  margin: 0px;
  padding: 0px;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: inherit !important;

  white-space: pre-wrap; /* css-3 */
  white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
  white-space: -o-pre-wrap; /* Opera 7 */
  word-wrap: break-word; /* Internet Explorer 5.5+ */
}

.direct-chat-primary .right > .direct-chat-text {
  /* background-color: #007bff;
  border-color: #007bff;

  background-color: #025d4b;
  border-color: #025d4b; */

  background-color: #274b39;
  border-color: #046954;

  color: #fff;
}

/* Close Button */
.alert-dismissible .btn-close {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 2;
  padding: 1.25rem 1rem;
}
.btn-close {
  --bs-btn-close-color: #000;
  --bs-btn-close-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e");
  --bs-btn-close-opacity: 0.5;
  --bs-btn-close-hover-opacity: 0.75;
  --bs-btn-close-focus-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
  --bs-btn-close-focus-opacity: 1;
  --bs-btn-close-disabled-opacity: 0.25;
  --bs-btn-close-white-filter: invert(1) grayscale(100%) brightness(200%);
  box-sizing: content-box;
  width: 1em;
  height: 1em;
  padding: 0.25em 0.25em;
  color: var(--bs-btn-close-color);
  background: transparent var(--bs-btn-close-bg) center/1em auto no-repeat;
  border: 0;
  border-radius: 0.375rem;
  opacity: var(--bs-btn-close-opacity);
}
.btn-close:hover {
  color: var(--bs-btn-close-color);
  text-decoration: none;
  opacity: var(--bs-btn-close-hover-opacity);
}
.btn-close:focus {
  outline: 0;
  box-shadow: var(--bs-btn-close-focus-shadow);
  opacity: var(--bs-btn-close-focus-opacity);
}
.btn-close:disabled,
.btn-close.disabled {
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  opacity: var(--bs-btn-close-disabled-opacity);
}

.btn-close-white {
  filter: var(--bs-btn-close-white-filter);
}

[data-bs-theme="dark"] .btn-close {
  filter: var(--bs-btn-close-white-filter);
}
.toast-header .btn-close {
  margin-right: calc(-0.5 * var(--bs-toast-padding-x));
  margin-left: var(--bs-toast-padding-x);
}
.modal-header .btn-close {
  padding: calc(var(--bs-modal-header-padding-y) * 0.5)
    calc(var(--bs-modal-header-padding-x) * 0.5);
  margin: calc(-0.5 * var(--bs-modal-header-padding-y))
    calc(-0.5 * var(--bs-modal-header-padding-x))
    calc(-0.5 * var(--bs-modal-header-padding-y)) auto;
}
.offcanvas-header .btn-close {
  padding: calc(var(--bs-offcanvas-padding-y) * 0.5)
    calc(var(--bs-offcanvas-padding-x) * 0.5);
  margin: calc(-0.5 * var(--bs-offcanvas-padding-y))
    calc(-0.5 * var(--bs-offcanvas-padding-x))
    calc(-0.5 * var(--bs-offcanvas-padding-y)) auto;
}

.btn-circle.btn-sm {
  width: 30px;
  height: 30px;
  padding: 6px 0px;
  border-radius: 15px;
  font-size: 8px;
  text-align: center;
}

.btn-circle.btn-md {
  width: 50px;
  height: 50px;
  padding: 7px 10px;
  border-radius: 25px;
  font-size: 10px;
  text-align: center;
}

.btn-circle.btn-xl {
  width: 70px;
  height: 70px;
  padding: 10px 16px;
  border-radius: 35px;
  font-size: 12px;
  text-align: center;
}

.btn-shadow {
  box-shadow:
    0 0 4px rgb(0 0 0 / 14%),
    0 4px 8px rgb(0 0 0 / 28%);
}

.direct-chat-bg-whatsapp {
  background-image: url("/assets/img/bg/wpbg2.jpg");
  background-repeat: repeat;
}

/************ PRICING ************/

section.pricing .card {
  border: none;
  border-radius: 0rem;
  transition: all 0.2s;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.1);
}

section.pricing hr {
  margin: 1.5rem 0;
}

section.pricing .card-title {
  margin: 0.5rem 0;
  font-size: 0.9rem;
  letter-spacing: 0.1rem;
  font-weight: bold;
}

section.pricing .card-header {
  border-bottom: 0px;
}

section.pricing .card-price {
  font-size: 1.5rem;
  margin: 0;
}

section.pricing .card-price .period {
  font-size: 0.8rem;
}

section.pricing ul li {
  margin-bottom: 1rem;
}

section.pricing .text-muted {
  opacity: 0.7;
}

/* Hover Effects on Card */

@media (min-width: 992px) {
  section.pricing .card:hover {
    box-shadow: 0 0 2rem 0 rgba(0, 0, 0, 0.3);
  }

  section.pricing .card:hover .btn {
    opacity: 1;
  }
}

.card {
  border-radius: 0;
}

/************ /PRICING ************/

.btn-app.align-middle {
  padding: 10% 0px;
}

.error-page {
  margin: 10px auto 0;
  width: 700px;
}

.error-page > .error-content {
  display: block;
  margin-left: 0px;
}

.error-page > .headline {
  font-size: 80px;
}

.suspense-fallback {
  background-color: unset !important;
}

.border-1-black {
  border: 1px solid black;
}

.border-1-red {
  border: 1px solid #ff0000;
}

.border-2-red {
  border: 2px solid #ff0000;
}

.border-1-green {
  border: 1px solid #1aff00;
}

.border-2-green {
  border: 2px solid #1aff00;
}

.border-1-blue {
  border: 1px solid #002aff;
}

.border-2-blue {
  border: 2px solid #002aff;
}

.nav-sidebar.nav-child-indent .nav-treeview {
  padding-left: 0px !important;
}

.nav-link {
  padding: 0.5rem 0.5rem;
}

.nav-sidebar.nav-child-indent .nav-treeview > li > a {
  padding-left: 1.5rem;
}

.chat-menu-hovered-input {
  border: 1px solid rgb(226, 226, 226) !important;
  border-radius: 3px !important;

  transition: background-color 300ms linear;
  -webkit-transition: background-color 300ms linear;
  -ms-transition: background-color 300ms linear;
  -o-transition: background-color 300ms linear;
  -ms-transition: background-color 300ms linear;
}

.chat-menu-hovered-input:hover {
  background-color: rgb(235, 235, 235) !important;
}

.resize-none {
  resize: none;
}

.vr {
  display: inline-block;
  align-self: stretch;
  width: 1px;
  min-height: 1em;
  background-color: currentColor;
  opacity: 0.25;
}

.pointer-events-none {
  pointer-events: none;
}

.cursor-pointer {
  cursor: pointer;
}

.auth-wrapper {
  border: 0px solid red;

  padding: 20px 10px;
  width: 100%;
  height: 100vh;
  background-color: #fcf5eb;
  background-color: #e9ecef;

  display: flex;
  justify-content: center;
  align-items: center;
}

@media (min-width: 768px) {
  .auth-wrapper > .row {
    max-width: 1000px !important;
    width: 90% !important;
    margin: 0px auto;
  }
}

@media (max-width: 767px) {
  .auth-wrapper {
    height: auto;
  }

  .auth-wrapper > div {
    border: 0px solid green;
  }

  .content-header {
    display: none;
  }
}

.btn,
.badge,
.nav-link {
  border-radius: 0px !important;
}

.w-100 > input.react-international-phone-input {
  width: 100% !important;
}

.border-radius {
  border-radius: 10px !important;
}

/********** BOOTSTRAP FONT-SIZE CLASSES *********/

.fs-1 {
  font-size: calc(1.375rem + 1.5vw) !important;
}

.fs-2 {
  font-size: calc(1.325rem + 0.9vw) !important;
}

.fs-3 {
  font-size: calc(1.3rem + 0.6vw) !important;
}

.fs-4 {
  font-size: calc(1.275rem + 0.3vw) !important;
}

.fs-5 {
  font-size: 1.25rem !important;
}

.fs-6 {
  font-size: 1rem !important;
}

.cut-text {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

/******* split.js css *******/
.split {
  display: flex;
  flex-direction: row;
}

.gutter {
  background-color: #eee;
  background-repeat: no-repeat;
  background-position: 50%;
}

.gutter.gutter-horizontal {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAAeCAYAAADkftS9AAAAIklEQVQoU2M4c+bMfxAGAgYYmwGrIIiDjrELjpo5aiZeMwF+yNnOs5KSvgAAAABJRU5ErkJggg==");
  cursor: col-resize;
}
